]> code.delx.au - gnu-emacs/blob - m4/gnulib-comp.m4
* doc/misc/eshell.texi: Fill most of the missing sections.
[gnu-emacs] / m4 / gnulib-comp.m4
1 # DO NOT EDIT! GENERATED AUTOMATICALLY!
2 # Copyright (C) 2002-2012 Free Software Foundation, Inc.
3 #
4 # This file is free software; you can redistribute it and/or modify
5 # it under the terms of the GNU General Public License as published by
6 # the Free Software Foundation; either version 3 of the License, or
7 # (at your option) any later version.
8 #
9 # This file is distributed in the hope that it will be useful,
10 # but WITHOUT ANY WARRANTY; without even the implied warranty of
11 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
12 # GNU General Public License for more details.
13 #
14 # You should have received a copy of the GNU General Public License
15 # along with this file. If not, see <http://www.gnu.org/licenses/>.
16 #
17 # As a special exception to the GNU General Public License,
18 # this file may be distributed as part of a program that
19 # contains a configuration script generated by Autoconf, under
20 # the same distribution terms as the rest of that program.
21 #
22 # Generated by gnulib-tool.
23 #
24 # This file represents the compiled summary of the specification in
25 # gnulib-cache.m4. It lists the computed macro invocations that need
26 # to be invoked from configure.ac.
27 # In projects that use version control, this file can be treated like
28 # other built files.
29
30
31 # This macro should be invoked from ./configure.ac, in the section
32 # "Checks for programs", right after AC_PROG_CC, and certainly before
33 # any checks for libraries, header files, types and library functions.
34 AC_DEFUN([gl_EARLY],
35 [
36 m4_pattern_forbid([^gl_[A-Z]])dnl the gnulib macro namespace
37 m4_pattern_allow([^gl_ES$])dnl a valid locale name
38 m4_pattern_allow([^gl_LIBOBJS$])dnl a variable
39 m4_pattern_allow([^gl_LTLIBOBJS$])dnl a variable
40 AC_REQUIRE([gl_PROG_AR_RANLIB])
41 # Code from module alloca-opt:
42 # Code from module allocator:
43 # Code from module c-ctype:
44 # Code from module c-strcase:
45 # Code from module careadlinkat:
46 # Code from module clock-time:
47 # Code from module crypto/md5:
48 # Code from module crypto/sha1:
49 # Code from module crypto/sha256:
50 # Code from module crypto/sha512:
51 # Code from module dosname:
52 # Code from module dtoastr:
53 # Code from module dtotimespec:
54 # Code from module dup2:
55 # Code from module environ:
56 # Code from module execinfo:
57 # Code from module extensions:
58 AC_REQUIRE([gl_USE_SYSTEM_EXTENSIONS])
59 # Code from module extern-inline:
60 # Code from module filemode:
61 # Code from module getloadavg:
62 # Code from module getopt-gnu:
63 # Code from module getopt-posix:
64 # Code from module gettext-h:
65 # Code from module gettime:
66 # Code from module gettimeofday:
67 # Code from module ignore-value:
68 # Code from module include_next:
69 # Code from module intprops:
70 # Code from module inttypes-incomplete:
71 # Code from module largefile:
72 AC_REQUIRE([AC_SYS_LARGEFILE])
73 # Code from module lstat:
74 # Code from module manywarnings:
75 # Code from module mktime:
76 # Code from module multiarch:
77 # Code from module nocrash:
78 # Code from module pathmax:
79 # Code from module pselect:
80 # Code from module pthread_sigmask:
81 # Code from module readlink:
82 # Code from module signal-h:
83 # Code from module snippet/_Noreturn:
84 # Code from module snippet/arg-nonnull:
85 # Code from module snippet/c++defs:
86 # Code from module snippet/warn-on-use:
87 # Code from module socklen:
88 # Code from module ssize_t:
89 # Code from module stat:
90 # Code from module stat-time:
91 # Code from module stdalign:
92 # Code from module stdarg:
93 dnl Some compilers (e.g., AIX 5.3 cc) need to be in c99 mode
94 dnl for the builtin va_copy to work. With Autoconf 2.60 or later,
95 dnl gl_PROG_CC_C99 arranges for this. With older Autoconf gl_PROG_CC_C99
96 dnl shouldn't hurt, though installers are on their own to set c99 mode.
97 gl_PROG_CC_C99
98 # Code from module stdbool:
99 # Code from module stddef:
100 # Code from module stdint:
101 # Code from module stdio:
102 # Code from module stdlib:
103 # Code from module strftime:
104 # Code from module strtoimax:
105 # Code from module strtoll:
106 # Code from module strtoull:
107 # Code from module strtoumax:
108 # Code from module symlink:
109 # Code from module sys_select:
110 # Code from module sys_stat:
111 # Code from module sys_time:
112 # Code from module time:
113 # Code from module time_r:
114 # Code from module timer-time:
115 # Code from module timespec:
116 # Code from module timespec-add:
117 # Code from module timespec-sub:
118 # Code from module u64:
119 # Code from module unistd:
120 # Code from module utimens:
121 # Code from module verify:
122 # Code from module warnings:
123 ])
124
125 # This macro should be invoked from ./configure.ac, in the section
126 # "Check for header files, types and library functions".
127 AC_DEFUN([gl_INIT],
128 [
129 AM_CONDITIONAL([GL_COND_LIBTOOL], [false])
130 gl_cond_libtool=false
131 gl_libdeps=
132 gl_ltlibdeps=
133 gl_m4_base='m4'
134 m4_pushdef([AC_LIBOBJ], m4_defn([gl_LIBOBJ]))
135 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gl_REPLACE_FUNCS]))
136 m4_pushdef([AC_LIBSOURCES], m4_defn([gl_LIBSOURCES]))
137 m4_pushdef([gl_LIBSOURCES_LIST], [])
138 m4_pushdef([gl_LIBSOURCES_DIR], [])
139 gl_COMMON
140 gl_source_base='lib'
141 gl_FUNC_ALLOCA
142 AC_CHECK_FUNCS_ONCE([readlinkat])
143 gl_CLOCK_TIME
144 gl_MD5
145 gl_SHA1
146 gl_SHA256
147 gl_SHA512
148 AC_REQUIRE([gl_C99_STRTOLD])
149 gl_FUNC_DUP2
150 if test $HAVE_DUP2 = 0 || test $REPLACE_DUP2 = 1; then
151 AC_LIBOBJ([dup2])
152 gl_PREREQ_DUP2
153 fi
154 gl_UNISTD_MODULE_INDICATOR([dup2])
155 gl_ENVIRON
156 gl_UNISTD_MODULE_INDICATOR([environ])
157 gl_EXECINFO_H
158 AC_REQUIRE([gl_EXTERN_INLINE])
159 gl_FILEMODE
160 gl_GETLOADAVG
161 if test $HAVE_GETLOADAVG = 0; then
162 AC_LIBOBJ([getloadavg])
163 gl_PREREQ_GETLOADAVG
164 fi
165 gl_STDLIB_MODULE_INDICATOR([getloadavg])
166 gl_FUNC_GETOPT_GNU
167 if test $REPLACE_GETOPT = 1; then
168 AC_LIBOBJ([getopt])
169 AC_LIBOBJ([getopt1])
170 gl_PREREQ_GETOPT
171 dnl Arrange for unistd.h to include getopt.h.
172 GNULIB_GL_UNISTD_H_GETOPT=1
173 fi
174 AC_SUBST([GNULIB_GL_UNISTD_H_GETOPT])
175 gl_MODULE_INDICATOR_FOR_TESTS([getopt-gnu])
176 gl_FUNC_GETOPT_POSIX
177 if test $REPLACE_GETOPT = 1; then
178 AC_LIBOBJ([getopt])
179 AC_LIBOBJ([getopt1])
180 gl_PREREQ_GETOPT
181 dnl Arrange for unistd.h to include getopt.h.
182 GNULIB_GL_UNISTD_H_GETOPT=1
183 fi
184 AC_SUBST([GNULIB_GL_UNISTD_H_GETOPT])
185 gl_GETTIME
186 gl_FUNC_GETTIMEOFDAY
187 if test $HAVE_GETTIMEOFDAY = 0 || test $REPLACE_GETTIMEOFDAY = 1; then
188 AC_LIBOBJ([gettimeofday])
189 gl_PREREQ_GETTIMEOFDAY
190 fi
191 gl_SYS_TIME_MODULE_INDICATOR([gettimeofday])
192 gl_INTTYPES_INCOMPLETE
193 AC_REQUIRE([gl_LARGEFILE])
194 gl_FUNC_LSTAT
195 if test $REPLACE_LSTAT = 1; then
196 AC_LIBOBJ([lstat])
197 gl_PREREQ_LSTAT
198 fi
199 gl_SYS_STAT_MODULE_INDICATOR([lstat])
200 gl_FUNC_MKTIME
201 if test $REPLACE_MKTIME = 1; then
202 AC_LIBOBJ([mktime])
203 gl_PREREQ_MKTIME
204 fi
205 gl_TIME_MODULE_INDICATOR([mktime])
206 gl_MULTIARCH
207 gl_FUNC_PSELECT
208 if test $HAVE_PSELECT = 0 || test $REPLACE_PSELECT = 1; then
209 AC_LIBOBJ([pselect])
210 fi
211 gl_SYS_SELECT_MODULE_INDICATOR([pselect])
212 gl_FUNC_PTHREAD_SIGMASK
213 if test $HAVE_PTHREAD_SIGMASK = 0 || test $REPLACE_PTHREAD_SIGMASK = 1; then
214 AC_LIBOBJ([pthread_sigmask])
215 gl_PREREQ_PTHREAD_SIGMASK
216 fi
217 gl_SIGNAL_MODULE_INDICATOR([pthread_sigmask])
218 gl_FUNC_READLINK
219 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
220 AC_LIBOBJ([readlink])
221 gl_PREREQ_READLINK
222 fi
223 gl_UNISTD_MODULE_INDICATOR([readlink])
224 gl_SIGNAL_H
225 gl_TYPE_SOCKLEN_T
226 gt_TYPE_SSIZE_T
227 gl_STAT_TIME
228 gl_STAT_BIRTHTIME
229 gl_STDALIGN_H
230 gl_STDARG_H
231 AM_STDBOOL_H
232 gl_STDDEF_H
233 gl_STDINT_H
234 gl_STDIO_H
235 gl_STDLIB_H
236 gl_FUNC_GNU_STRFTIME
237 gl_FUNC_STRTOIMAX
238 if test $HAVE_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; then
239 AC_LIBOBJ([strtoimax])
240 gl_PREREQ_STRTOIMAX
241 fi
242 gl_INTTYPES_MODULE_INDICATOR([strtoimax])
243 gl_FUNC_STRTOUMAX
244 if test $ac_cv_func_strtoumax = no; then
245 AC_LIBOBJ([strtoumax])
246 gl_PREREQ_STRTOUMAX
247 fi
248 gl_INTTYPES_MODULE_INDICATOR([strtoumax])
249 gl_FUNC_SYMLINK
250 if test $HAVE_SYMLINK = 0 || test $REPLACE_SYMLINK = 1; then
251 AC_LIBOBJ([symlink])
252 fi
253 gl_UNISTD_MODULE_INDICATOR([symlink])
254 gl_HEADER_SYS_SELECT
255 AC_PROG_MKDIR_P
256 gl_HEADER_SYS_STAT_H
257 AC_PROG_MKDIR_P
258 gl_HEADER_SYS_TIME_H
259 AC_PROG_MKDIR_P
260 gl_HEADER_TIME_H
261 gl_TIME_R
262 if test $HAVE_LOCALTIME_R = 0 || test $REPLACE_LOCALTIME_R = 1; then
263 AC_LIBOBJ([time_r])
264 gl_PREREQ_TIME_R
265 fi
266 gl_TIME_MODULE_INDICATOR([time_r])
267 gl_TIMER_TIME
268 gl_TIMESPEC
269 gl_UNISTD_H
270 gl_UTIMENS
271 gl_gnulib_enabled_dosname=false
272 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=false
273 gl_gnulib_enabled_pathmax=false
274 gl_gnulib_enabled_stat=false
275 gl_gnulib_enabled_strtoll=false
276 gl_gnulib_enabled_strtoull=false
277 gl_gnulib_enabled_verify=false
278 func_gl_gnulib_m4code_dosname ()
279 {
280 if ! $gl_gnulib_enabled_dosname; then
281 gl_gnulib_enabled_dosname=true
282 fi
283 }
284 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36 ()
285 {
286 if ! $gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36; then
287 AC_SUBST([LIBINTL])
288 AC_SUBST([LTLIBINTL])
289 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=true
290 fi
291 }
292 func_gl_gnulib_m4code_pathmax ()
293 {
294 if ! $gl_gnulib_enabled_pathmax; then
295 gl_PATHMAX
296 gl_gnulib_enabled_pathmax=true
297 fi
298 }
299 func_gl_gnulib_m4code_stat ()
300 {
301 if ! $gl_gnulib_enabled_stat; then
302 gl_FUNC_STAT
303 if test $REPLACE_STAT = 1; then
304 AC_LIBOBJ([stat])
305 gl_PREREQ_STAT
306 fi
307 gl_SYS_STAT_MODULE_INDICATOR([stat])
308 gl_gnulib_enabled_stat=true
309 if test $REPLACE_STAT = 1; then
310 func_gl_gnulib_m4code_dosname
311 fi
312 if test $REPLACE_STAT = 1; then
313 func_gl_gnulib_m4code_pathmax
314 fi
315 if test $REPLACE_STAT = 1; then
316 func_gl_gnulib_m4code_verify
317 fi
318 fi
319 }
320 func_gl_gnulib_m4code_strtoll ()
321 {
322 if ! $gl_gnulib_enabled_strtoll; then
323 gl_FUNC_STRTOLL
324 if test $HAVE_STRTOLL = 0; then
325 AC_LIBOBJ([strtoll])
326 gl_PREREQ_STRTOLL
327 fi
328 gl_STDLIB_MODULE_INDICATOR([strtoll])
329 gl_gnulib_enabled_strtoll=true
330 fi
331 }
332 func_gl_gnulib_m4code_strtoull ()
333 {
334 if ! $gl_gnulib_enabled_strtoull; then
335 gl_FUNC_STRTOULL
336 if test $HAVE_STRTOULL = 0; then
337 AC_LIBOBJ([strtoull])
338 gl_PREREQ_STRTOULL
339 fi
340 gl_STDLIB_MODULE_INDICATOR([strtoull])
341 gl_gnulib_enabled_strtoull=true
342 fi
343 }
344 func_gl_gnulib_m4code_verify ()
345 {
346 if ! $gl_gnulib_enabled_verify; then
347 gl_gnulib_enabled_verify=true
348 fi
349 }
350 if test $REPLACE_GETOPT = 1; then
351 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36
352 fi
353 if test $REPLACE_LSTAT = 1; then
354 func_gl_gnulib_m4code_dosname
355 fi
356 if test $REPLACE_LSTAT = 1; then
357 func_gl_gnulib_m4code_stat
358 fi
359 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
360 func_gl_gnulib_m4code_stat
361 fi
362 if { test $HAVE_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; } && test $ac_cv_type_long_long_int = yes; then
363 func_gl_gnulib_m4code_strtoll
364 fi
365 if test $HAVE_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; then
366 func_gl_gnulib_m4code_verify
367 fi
368 if test $ac_cv_func_strtoumax = no && test $ac_cv_type_unsigned_long_long_int = yes; then
369 func_gl_gnulib_m4code_strtoull
370 fi
371 if test $ac_cv_func_strtoumax = no; then
372 func_gl_gnulib_m4code_verify
373 fi
374 m4_pattern_allow([^gl_GNULIB_ENABLED_])
375 AM_CONDITIONAL([gl_GNULIB_ENABLED_dosname], [$gl_gnulib_enabled_dosname])
376 AM_CONDITIONAL([gl_GNULIB_ENABLED_be453cec5eecf5731a274f2de7f2db36], [$gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36])
377 AM_CONDITIONAL([gl_GNULIB_ENABLED_pathmax], [$gl_gnulib_enabled_pathmax])
378 AM_CONDITIONAL([gl_GNULIB_ENABLED_stat], [$gl_gnulib_enabled_stat])
379 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoll], [$gl_gnulib_enabled_strtoll])
380 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoull], [$gl_gnulib_enabled_strtoull])
381 AM_CONDITIONAL([gl_GNULIB_ENABLED_verify], [$gl_gnulib_enabled_verify])
382 # End of code from modules
383 m4_ifval(gl_LIBSOURCES_LIST, [
384 m4_syscmd([test ! -d ]m4_defn([gl_LIBSOURCES_DIR])[ ||
385 for gl_file in ]gl_LIBSOURCES_LIST[ ; do
386 if test ! -r ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file ; then
387 echo "missing file ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file" >&2
388 exit 1
389 fi
390 done])dnl
391 m4_if(m4_sysval, [0], [],
392 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
393 ])
394 m4_popdef([gl_LIBSOURCES_DIR])
395 m4_popdef([gl_LIBSOURCES_LIST])
396 m4_popdef([AC_LIBSOURCES])
397 m4_popdef([AC_REPLACE_FUNCS])
398 m4_popdef([AC_LIBOBJ])
399 AC_CONFIG_COMMANDS_PRE([
400 gl_libobjs=
401 gl_ltlibobjs=
402 if test -n "$gl_LIBOBJS"; then
403 # Remove the extension.
404 sed_drop_objext='s/\.o$//;s/\.obj$//'
405 for i in `for i in $gl_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
406 gl_libobjs="$gl_libobjs $i.$ac_objext"
407 gl_ltlibobjs="$gl_ltlibobjs $i.lo"
408 done
409 fi
410 AC_SUBST([gl_LIBOBJS], [$gl_libobjs])
411 AC_SUBST([gl_LTLIBOBJS], [$gl_ltlibobjs])
412 ])
413 gltests_libdeps=
414 gltests_ltlibdeps=
415 m4_pushdef([AC_LIBOBJ], m4_defn([gltests_LIBOBJ]))
416 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gltests_REPLACE_FUNCS]))
417 m4_pushdef([AC_LIBSOURCES], m4_defn([gltests_LIBSOURCES]))
418 m4_pushdef([gltests_LIBSOURCES_LIST], [])
419 m4_pushdef([gltests_LIBSOURCES_DIR], [])
420 gl_COMMON
421 gl_source_base='tests'
422 changequote(,)dnl
423 gltests_WITNESS=IN_`echo "${PACKAGE-$PACKAGE_TARNAME}" | LC_ALL=C tr abcdefghijklmnopqrstuvwxyz ABCDEFGHIJKLMNOPQRSTUVWXYZ | LC_ALL=C sed -e 's/[^A-Z0-9_]/_/g'`_GNULIB_TESTS
424 changequote([, ])dnl
425 AC_SUBST([gltests_WITNESS])
426 gl_module_indicator_condition=$gltests_WITNESS
427 m4_pushdef([gl_MODULE_INDICATOR_CONDITION], [$gl_module_indicator_condition])
428 m4_pattern_allow([^gl_GNULIB_ENABLED_])
429 m4_popdef([gl_MODULE_INDICATOR_CONDITION])
430 m4_ifval(gltests_LIBSOURCES_LIST, [
431 m4_syscmd([test ! -d ]m4_defn([gltests_LIBSOURCES_DIR])[ ||
432 for gl_file in ]gltests_LIBSOURCES_LIST[ ; do
433 if test ! -r ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file ; then
434 echo "missing file ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file" >&2
435 exit 1
436 fi
437 done])dnl
438 m4_if(m4_sysval, [0], [],
439 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
440 ])
441 m4_popdef([gltests_LIBSOURCES_DIR])
442 m4_popdef([gltests_LIBSOURCES_LIST])
443 m4_popdef([AC_LIBSOURCES])
444 m4_popdef([AC_REPLACE_FUNCS])
445 m4_popdef([AC_LIBOBJ])
446 AC_CONFIG_COMMANDS_PRE([
447 gltests_libobjs=
448 gltests_ltlibobjs=
449 if test -n "$gltests_LIBOBJS"; then
450 # Remove the extension.
451 sed_drop_objext='s/\.o$//;s/\.obj$//'
452 for i in `for i in $gltests_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
453 gltests_libobjs="$gltests_libobjs $i.$ac_objext"
454 gltests_ltlibobjs="$gltests_ltlibobjs $i.lo"
455 done
456 fi
457 AC_SUBST([gltests_LIBOBJS], [$gltests_libobjs])
458 AC_SUBST([gltests_LTLIBOBJS], [$gltests_ltlibobjs])
459 ])
460 LIBGNU_LIBDEPS="$gl_libdeps"
461 AC_SUBST([LIBGNU_LIBDEPS])
462 LIBGNU_LTLIBDEPS="$gl_ltlibdeps"
463 AC_SUBST([LIBGNU_LTLIBDEPS])
464 ])
465
466 # Like AC_LIBOBJ, except that the module name goes
467 # into gl_LIBOBJS instead of into LIBOBJS.
468 AC_DEFUN([gl_LIBOBJ], [
469 AS_LITERAL_IF([$1], [gl_LIBSOURCES([$1.c])])dnl
470 gl_LIBOBJS="$gl_LIBOBJS $1.$ac_objext"
471 ])
472
473 # Like AC_REPLACE_FUNCS, except that the module name goes
474 # into gl_LIBOBJS instead of into LIBOBJS.
475 AC_DEFUN([gl_REPLACE_FUNCS], [
476 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
477 AC_CHECK_FUNCS([$1], , [gl_LIBOBJ($ac_func)])
478 ])
479
480 # Like AC_LIBSOURCES, except the directory where the source file is
481 # expected is derived from the gnulib-tool parameterization,
482 # and alloca is special cased (for the alloca-opt module).
483 # We could also entirely rely on EXTRA_lib..._SOURCES.
484 AC_DEFUN([gl_LIBSOURCES], [
485 m4_foreach([_gl_NAME], [$1], [
486 m4_if(_gl_NAME, [alloca.c], [], [
487 m4_define([gl_LIBSOURCES_DIR], [lib])
488 m4_append([gl_LIBSOURCES_LIST], _gl_NAME, [ ])
489 ])
490 ])
491 ])
492
493 # Like AC_LIBOBJ, except that the module name goes
494 # into gltests_LIBOBJS instead of into LIBOBJS.
495 AC_DEFUN([gltests_LIBOBJ], [
496 AS_LITERAL_IF([$1], [gltests_LIBSOURCES([$1.c])])dnl
497 gltests_LIBOBJS="$gltests_LIBOBJS $1.$ac_objext"
498 ])
499
500 # Like AC_REPLACE_FUNCS, except that the module name goes
501 # into gltests_LIBOBJS instead of into LIBOBJS.
502 AC_DEFUN([gltests_REPLACE_FUNCS], [
503 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
504 AC_CHECK_FUNCS([$1], , [gltests_LIBOBJ($ac_func)])
505 ])
506
507 # Like AC_LIBSOURCES, except the directory where the source file is
508 # expected is derived from the gnulib-tool parameterization,
509 # and alloca is special cased (for the alloca-opt module).
510 # We could also entirely rely on EXTRA_lib..._SOURCES.
511 AC_DEFUN([gltests_LIBSOURCES], [
512 m4_foreach([_gl_NAME], [$1], [
513 m4_if(_gl_NAME, [alloca.c], [], [
514 m4_define([gltests_LIBSOURCES_DIR], [tests])
515 m4_append([gltests_LIBSOURCES_LIST], _gl_NAME, [ ])
516 ])
517 ])
518 ])
519
520 # This macro records the list of files which have been installed by
521 # gnulib-tool and may be removed by future gnulib-tool invocations.
522 AC_DEFUN([gl_FILE_LIST], [
523 build-aux/snippet/_Noreturn.h
524 build-aux/snippet/arg-nonnull.h
525 build-aux/snippet/c++defs.h
526 build-aux/snippet/warn-on-use.h
527 lib/alloca.in.h
528 lib/allocator.c
529 lib/allocator.h
530 lib/c-ctype.c
531 lib/c-ctype.h
532 lib/c-strcase.h
533 lib/c-strcasecmp.c
534 lib/c-strncasecmp.c
535 lib/careadlinkat.c
536 lib/careadlinkat.h
537 lib/dosname.h
538 lib/dtoastr.c
539 lib/dtotimespec.c
540 lib/dup2.c
541 lib/execinfo.c
542 lib/execinfo.in.h
543 lib/filemode.c
544 lib/filemode.h
545 lib/ftoastr.c
546 lib/ftoastr.h
547 lib/getloadavg.c
548 lib/getopt.c
549 lib/getopt.in.h
550 lib/getopt1.c
551 lib/getopt_int.h
552 lib/gettext.h
553 lib/gettime.c
554 lib/gettimeofday.c
555 lib/ignore-value.h
556 lib/intprops.h
557 lib/inttypes.in.h
558 lib/lstat.c
559 lib/md5.c
560 lib/md5.h
561 lib/mktime-internal.h
562 lib/mktime.c
563 lib/pathmax.h
564 lib/pselect.c
565 lib/pthread_sigmask.c
566 lib/readlink.c
567 lib/sha1.c
568 lib/sha1.h
569 lib/sha256.c
570 lib/sha256.h
571 lib/sha512.c
572 lib/sha512.h
573 lib/signal.in.h
574 lib/stat-time.c
575 lib/stat-time.h
576 lib/stat.c
577 lib/stdalign.in.h
578 lib/stdarg.in.h
579 lib/stdbool.in.h
580 lib/stddef.in.h
581 lib/stdint.in.h
582 lib/stdio.in.h
583 lib/stdlib.in.h
584 lib/strftime.c
585 lib/strftime.h
586 lib/strtoimax.c
587 lib/strtol.c
588 lib/strtoll.c
589 lib/strtoul.c
590 lib/strtoull.c
591 lib/strtoumax.c
592 lib/symlink.c
593 lib/sys_select.in.h
594 lib/sys_stat.in.h
595 lib/sys_time.in.h
596 lib/time.in.h
597 lib/time_r.c
598 lib/timespec-add.c
599 lib/timespec-sub.c
600 lib/timespec.c
601 lib/timespec.h
602 lib/u64.c
603 lib/u64.h
604 lib/unistd.in.h
605 lib/utimens.c
606 lib/utimens.h
607 lib/verify.h
608 m4/00gnulib.m4
609 m4/alloca.m4
610 m4/c-strtod.m4
611 m4/clock_time.m4
612 m4/dup2.m4
613 m4/environ.m4
614 m4/execinfo.m4
615 m4/extensions.m4
616 m4/extern-inline.m4
617 m4/filemode.m4
618 m4/getloadavg.m4
619 m4/getopt.m4
620 m4/gettime.m4
621 m4/gettimeofday.m4
622 m4/gnulib-common.m4
623 m4/include_next.m4
624 m4/inttypes.m4
625 m4/largefile.m4
626 m4/longlong.m4
627 m4/lstat.m4
628 m4/manywarnings.m4
629 m4/md5.m4
630 m4/mktime.m4
631 m4/multiarch.m4
632 m4/nocrash.m4
633 m4/off_t.m4
634 m4/pathmax.m4
635 m4/pselect.m4
636 m4/pthread_sigmask.m4
637 m4/readlink.m4
638 m4/sha1.m4
639 m4/sha256.m4
640 m4/sha512.m4
641 m4/signal_h.m4
642 m4/socklen.m4
643 m4/ssize_t.m4
644 m4/st_dm_mode.m4
645 m4/stat-time.m4
646 m4/stat.m4
647 m4/stdalign.m4
648 m4/stdarg.m4
649 m4/stdbool.m4
650 m4/stddef_h.m4
651 m4/stdint.m4
652 m4/stdio_h.m4
653 m4/stdlib_h.m4
654 m4/strftime.m4
655 m4/strtoimax.m4
656 m4/strtoll.m4
657 m4/strtoull.m4
658 m4/strtoumax.m4
659 m4/symlink.m4
660 m4/sys_select_h.m4
661 m4/sys_socket_h.m4
662 m4/sys_stat_h.m4
663 m4/sys_time_h.m4
664 m4/time_h.m4
665 m4/time_r.m4
666 m4/timer_time.m4
667 m4/timespec.m4
668 m4/tm_gmtoff.m4
669 m4/unistd_h.m4
670 m4/utimbuf.m4
671 m4/utimens.m4
672 m4/utimes.m4
673 m4/warn-on-use.m4
674 m4/warnings.m4
675 m4/wchar_t.m4
676 ])